Home Inmate Central

Inmate Central, where civil and family-friendly discourse about off-audio topics (other than religion and politics) is welcome.

RE: My old iMac....

'Can't be updated to either of the most recent versions of OSX'

why is that a bad thing? in the windoze camp how many still run XP? scads!

if your machine has the resources to do virtualization you can still run updated applications, only slower; still a choice of time vs. $$ I suppose

designed obsolescence didn't quite pan out in hardware so it's now coded?

I guess


This post is made possible by the generous support of people like you and our sponsors:
  Signature Sound   [ Signature Sound Lounge ]


Follow Ups Full Thread
Follow Ups

FAQ

Post a Message!

Forgot Password?
Moniker (Username):
Password (Optional):
  Remember my Moniker & Password  (What's this?)    Eat Me
E-Mail (Optional):
Subject:
Message:   (Posts are subject to Content Rules)
Optional Link URL:
Optional Link Title:
Optional Image URL:
Upload Image:
E-mail Replies:  Automagically notify you when someone responds.